package com.hzya.frame.mdm.mdmModuleDbFileds.entity;

import java.util.Date;
import java.util.List;

import com.hzya.frame.mdm.mdmModuleDbFiledsRule.entity.MdmModuleDbFiledsRuleEntity;
import com.hzya.frame.web.entity.BaseEntity;

/**
 * 模版数据库字段表(MdmModuleDbFileds)实体类
 *
 * @author makejava
 * @since 2023-10-17 15:28:07
 */
public class MdmModuleDbFiledsEntity extends BaseEntity {

    /**
     * 主数据模版ID
     */
    private String mdmId;
    /**
     * 模版数据库id
     */
    private String dbId;
    /**
     * 中文名
     */
    private String chName;
    /**
     * 英文名
     */
    private String enName;
    /**
     * 字段类型 1、BIGINT 2、DECIMAL 3、VARCHAR 4、DATETIME
     */
    private String filedType;
    /**
     * 长度
     */
    private String filedLength;
    /**
     * roletype
     */
    private String roletype;
    /**
     * roletype
     */
    private String roleValue;
    //字段规则
    private List<MdmModuleDbFiledsRuleEntity> mdmModuleDbFiledsRules;

    public List<MdmModuleDbFiledsRuleEntity> getMdmModuleDbFiledsRules() {
        return mdmModuleDbFiledsRules;
    }

    public void setMdmModuleDbFiledsRules(List<MdmModuleDbFiledsRuleEntity> mdmModuleDbFiledsRules) {
        this.mdmModuleDbFiledsRules = mdmModuleDbFiledsRules;
    }

    public String getMdmId() {
        return mdmId;
    }

    public void setMdmId(String mdmId) {
        this.mdmId = mdmId;
    }

    public String getDbId() {
        return dbId;
    }

    public void setDbId(String dbId) {
        this.dbId = dbId;
    }

    public String getChName() {
        return chName;
    }

    public void setChName(String chName) {
        this.chName = chName;
    }

    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public String getFiledType() {
        return filedType;
    }

    public void setFiledType(String filedType) {
        this.filedType = filedType;
    }

    public String getFiledLength() {
        return filedLength;
    }

    public void setFiledLength(String filedLength) {
        this.filedLength = filedLength;
    }

    public String getRoletype() {
        return roletype;
    }

    public void setRoletype(String roletype) {
        this.roletype = roletype;
    }

    public String getRoleValue() {
        return roleValue;
    }

    public void setRoleValue(String roleValue) {
        this.roleValue = roleValue;
    }
}

